
/*-----------------------------------------------------------------------------------------------------------------------------------

■ 概要
ユニット毎に杖コマンド名を指定できるようにします。

■ 使い方
ユニットのカスタムパラメータに{WandCommandName: "コマンド名"}を指定してください。
指定しない場合は従来の杖コマンド名が表示されます。

■ 作成者
Chaos Gate
http://kwt.web2.jp/

■ 利用条件
・SRPG Studioの利用規約に準じます(http://srpgstudio.com/guide/rules.html)
・この作品はクリエイティブ・コモンズ・表示 - 継承 4.0 国際・ライセンスで提供されています。
  日本語 http://creativecommons.org/licenses/by-sa/4.0/deed.ja
  English http://creativecommons.org/licenses/by-sa/4.0/

■ 更新履歴
2016/07/15 公開

-------------------------------------------------------------------------------------------------------------------------------------*/

(function() {

// 杖のコマンド名を返す
var alias_getCommandName = UnitCommand.Wand.getCommandName;
UnitCommand.Wand.getCommandName = function()
{
	var unit = this.getCommandTarget();
	return typeof unit.custom.WandCommandName !== 'undefined' ? unit.custom.WandCommandName : alias_getCommandName();
}

})();
