
/*-----------------------------------------------------------------------------------------------------------------------------------

■ 概要
指定スキルを非表示にします。

■ 使い方
スキルのカスタムパラメータに{ Hide: 1 }を設定すると表示上は存在しない隠しスキルになります。

■ 作成者
Chaos Gate
http://kwt.web2.jp/

■ 利用条件
・SRPG Studioの利用規約に準じます(http://srpgstudio.com/guide/rules.html)
・この作品はクリエイティブ・コモンズ・表示 - 継承 4.0 国際・ライセンスで提供されています。
  日本語 http://creativecommons.org/licenses/by-sa/4.0/deed.ja
  English http://creativecommons.org/licenses/by-sa/4.0/

■ 更新履歴
2016/07/15 公開

-------------------------------------------------------------------------------------------------------------------------------------*/

(function() {

var alias_SkillInteraction_setSkillArray = SkillInteraction.setSkillArray
SkillInteraction.setSkillArray = function(arr)
{
	var length = arr.length - 1;
	for(var i = length; i >= 0; i--)
	{
		if(arr[i].skill.custom.Hide !== 'undefined' && arr[i].skill.custom.Hide == 1) arr.splice(i,1);
	}
	alias_SkillInteraction_setSkillArray.call(this, arr);
}

})();
